%define svn    1225262

Name:		kio-sysinfo
Version:	1.8.3
Release:	%mkrel 0.%svn.4
Summary:	KIO Slave sysinfo:/
License:	LGPL
Group:		System/Libraries
URL:		http://websvn.kde.org/trunk/playground/base/kio_sysinfo/

Source0:	%name-%version.%svn.tar.xz
Source1:	po.tar.gz
Source2:	mageia.tar.xz


Patch0:		kio-sysinfo-1.8.3-mga-add-mageia-distro-and-po-folder.patch

BuildRequires:	kdelibs4-devel
BuildRequires:	dbus-devel
BuildRequires:	libhd-devel
# Glxinfo provides information related to 3D driver
Suggests:	glxinfo
Obsoletes:	sysinfo < 1.8.2-4


%description
KIO Slave sysinfo:/. It shows various information about your pc, 
like cpu, ram. kernel version, exc. It also shows the removable 
devices and partition (total space/available space) and you can open,
mount and unmount it from this KIO slave.



#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}.%svn
%setup -n %{name}-%{version}.%svn -T -D -a 1
pushd src/about
tar -xaf %{SOURCE2}
popd
%apply_patches


%build
%define _disable_ld_no_undefined 1
%cmake_kde4 -DSYSINFO_DISTRO=MAGEIA -DHAVE_HD=1 -DHAVE_GLXCHOOSEVISUAL=1 
%make


%install
%makeinstall_std -C build

%{find_lang} kio_sysinfo

%files -f kio_sysinfo.lang
%{_kde_libdir}/kde4/*
%{_kde_appsdir}/sysinfo
%{_kde_datadir}/applications/kde4/kfmclient_sysinfo.desktop
%{_kde_datadir}/kde4/services/ksysinfopart.desktop
%{_kde_datadir}/kde4/services/sysinfo.protocol
%{_kde_datadir}/mime/packages/x-sysinfo.xml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.8.3-0.1225262.4.mga3
+ Revision: 356247
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 fwang <fwang> 1.8.3-0.1225262.3.mga3
+ Revision: 308364
- rebuild for new hwinfo

  + dglent <dglent>
    - Delete patch file (already merged with translations patch)
    - Add translations

* Sat Mar 19 2011 mikala <mikala> 1.8.3-0.1225262.2.mga1
+ Revision: 74429
- Add glxinfo as suggests (it's used for get OpenGL info)

* Sat Mar 19 2011 mikala <mikala> 1.8.3-0.1225262.1.mga1
+ Revision: 74356
- Update tarball to revision 1225262
- Add patch0 to enable mageia support
- Add Source1 (provides a work in progress mageia theme)

* Sun Feb 20 2011 mikala <mikala> 1.8.3-0.1220874.1.mga1
+ Revision: 54613
- Clean spec
- Update to svn 1220874
- Drop patch1
- Remove Buildroot
- imported package kio-sysinfo

